package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:cy
 * @time: 2020/9/9 13:19
 */
@Getter
@Setter
public class MedicalCheckDTO{

    //科室名称
    private String deptName;

    //科室id
    private String deptId;

    //医生
    private String doctorName;

    //入院记录未24小时内_id
    private String entry_2658_id;

    //入院记录未24小时内_name
    private String entry_2658_name;

    //入院记录未24小时内_num
    private Integer entry_2658_num = 0;

    //首次病程记录未8小时内_id
    private String entry_2686_id;

    //首次病程记录未8小时内_name
    private String entry_2686_name;

    //首次病程记录未8小时内_num
    private Integer entry_2686_num = 0;

    //副主任/主任医师首次查房72小时内未完成_id
    private String entry_2657_id;

    //副主任/主任医师首次查房72小时内未完成_name
    private String entry_2657_name;

    //副主任/主任医师首次查房72小时内未完成_num
    private Integer entry_2657_num = 0;

    //入院后未连记3天病程_id
    private String entry_3010_id;

    //入院后未连记3天病程_name
    private String entry_3010_name;

    //入院后未连记3天病程_num
    private Integer entry_3010_num = 0;

    //每周未至少2次副主任/主任医师查房_id
    private String entry_2655_id;

    //每周未至少2次副主任/主任医师查房_name
    private String entry_2655_name;

    //每周未至少2次副主任/主任医师查房_num
    private Integer entry_2655_num = 0;

    //每周未至少3次主治医师查房记录_id
    private String entry_2654_id;

    //每周未至少3次主治医师查房记录_name
    private String entry_2654_name;

    //每周未至少3次主治医师查房记录_num
    private Integer entry_2654_num = 0;

    //抢救记录未6小时内完成_id
    private String entry_2852_id;

    //抢救记录未6小时内完成_name
    private String entry_2852_name;

    //抢救记录未6小时内完成-num
    private Integer entry_2852_num = 0;

    //会诊记录在会诊申请后未24小时完成_id
    private String entry_2287_id;

    //会诊记录在会诊申请后未24小时完成_name
    private String entry_2287_name;

    //会诊记录在会诊申请后未24小时完成_num
    private Integer entry_2287_num = 0;

    //术前讨论、术前小结未完成_id
    private String entry_3025_id;

    //术前讨论、术前小结未完成_name
    private String entry_3025_name;

    //术前讨论、术前小结未完成_num
    private Integer entry_3025_num = 0;

    //手术记录术后24小时内未完成_id
    private String entry_2170_id;

    //手术记录术后24小时内未完成_name
    private String entry_2170_name;

    //手术记录术后24小时内未完成_num
    private Integer entry_2170_num = 0;

    //术后首程在术后30分钟内未完成_id
    private String entry_2930_id;

    //术后首程在术后30分钟内未完成_name
    private String entry_2930_name;

    //术后首程在术后30分钟内未完成_num
    private Integer entry_2930_num = 0;

    //术后主刀查房24小时内未完成_id
    private String entry_2900_id;

    //术后主刀查房24小时内未完成_name
    private String entry_2900_name;

    //术后主刀查房24小时内未完成_num
    private Integer entry_2900_num = 0;

    //术后未连记3天病程_id
    private String entry_2229_id;

    //术后未连记3天病程_name
    private String entry_2229_name;

    //术后未连记3天病程_num
    private Integer entry_2229_num = 0;

    //转科后未连记3天病程_id
    private String entry_2217_id;

    //转科后未连记3天病程_name
    private String entry_2217_name;

    //转科后未连记3天病程_num
    private Integer entry_2217_num = 0;

    //转接科记录专科后24小时内未完成_id
    private String entry_2218_id;

    //转接科记录专科后24小时内未完成_name
    private String entry_2218_name;

    //转接科记录专科后24小时内未完成_num
    private Integer entry_2218_num = 0;

    //病危/重患者未每日记录病程_id
    private String entry_2220_id;

    //病危/重患者未每日记录病程_name
    private String entry_2220_name;

    //病危/重患者未每日记录病程_num
    private Integer entry_2220_num = 0;

    //输血后未完成输血记录_id
    private String entry_2486_id;

    //输血后未完成输血记录_name
    private String entry_2486_name;

    //输血后未完成输血记录_num
    private Integer entry_2486_num = 0;

    //24小时未完成输血后评价_id
    private String entry_3063_id;

    //24小时未完成输血后评价_name
    private String entry_3063_name;

    //24小时未完成输血后评价_num
    private Integer entry_3063_num = 0;

    //危急值未记录_id
    private String entry_3062_id;

    //危急值未记录_name
    private String entry_3062_name;

    //危急值未记录_num
    private Integer entry_3062_num = 0;

    //住院30天未阶段小结_id
    private String entry_2495_id;

    //住院30天未阶段小结_name
    private String entry_2495_name;

    //住院30天未阶段小结_num
    private Integer entry_2495_num = 0;
}

