package com.diagbot.vo.data;

import lombok.Data;

@Data
public class AMedWardRecordVO {
    /**
     * 记录编号
     */
    private String recId;

    /**
     * 医院ID
     */
    private String hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 年龄
     */
    private String age;

    /**
     * 床号
     */
    private String bedNo;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 性别
     */
    private String sex;

    /**
     * 病历日期
     */
    private String recordDate;

    /**
     * 查房日期
     */
    private String wardDate;

    /**
     * 查房医生
     */
    private String wardDoctor;

    /**
     * 标题
     */
    private String wardTitle;

    /**
     * 病情记录
     */
    private String wardContent;

    /**
     * S
     */
    private String wardS;

    /**
     * O
     */
    private String wardO;

    /**
     * A
     */
    private String wardA;

    /**
     * P
     */
    private String wardP;

    /**
     * 记录医生
     */
    private String recDoctor;

    /**
     * 记录时间
     */
    private String recDate;

    /**
     * 审核医生
     */
    private String auditDoctor;

    /**
     * 审核时间
     */
    private String auditDate;

    /**
     * 结构化数据
     */
    private String wholeData;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private String gmtCreate;

    /**
     * 记录修改时间
     */
    private String gmtModified;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 修改人
     */
    private String modifier;
}
