use `qc`;
DROP TABLE IF EXISTS `med_abnormal_info`;
CREATE TABLE `med_abnormal_info`  (
  `abnormal_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `module_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模块名称',
  `param_in` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '入参',
  `param_out` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '出参',
  `ramark` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '异常描述',
  `is_deleted` char(3) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`abnormal_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 106 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;
