package com.diagbot.mapper;

import com.diagbot.dto.data.ColumnZhAndChDTO;
import com.diagbot.entity.MedConsultationNote;
import com.diagbot.entity.MedDeathDiscussion;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 * 死亡病例讨论记录 Mapper 接口
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
public interface MedDeathDiscussionMapper extends BaseMapper<MedDeathDiscussion> {
    void updateBatchByKey(List<MedDeathDiscussion> list);

    List<ColumnZhAndChDTO> getColumnZhAndCh();

}
