package com.diagbot.vo.data;

import lombok.Data;

@Data
public class AMedFirstRecordVO {
    /**
     * 记录编号
     */
    private String recId;

    /**
     * 医院ID
     */
    private String hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 床号
     */
    private String bedNo;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 病历日期
     */
    private String recordDate;

    /**
     * 标题
     */
    private String recTitle;

    /**
     * 主诉
     */
    private String chief;

    /**
     * 现病史
     */
    private String present;

    /**
     * 既往史
     */
    private String pastHistory;

    /**
     * 查体
     */
    private String vital;

    /**
     * 辅检
     */
    private String assistantExam;

    /**
     * 病例特点
     */
    private String caseCharacter;

    /**
     * 初步诊断
     */
    private String tentativeDiagnosis;

    /**
     * 诊断依据
     */
    private String supplyDiagnosis;

    /**
     * 鉴别诊断
     */
    private String revisedDiagnosis;

    /**
     * 诊疗计划(方案)
     */
    private String treatPlan;

    /**
     * 记录医生
     */
    private String recDoctor;

    /**
     * 记录时间
     */
    private String recDate;

    /**
     * 审核医生
     */
    private String auditDoctor;

    /**
     * 审核时间
     */
    private String auditDate;

    /**
     * 结构化数据
     */
    private String wholeData;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private String gmtCreate;

    /**
     * 记录修改时间
     */
    private String gmtModified;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 修改人
     */
    private String modifier;
}
