package com.diagbot.vo.data;

import lombok.Data;

@Data
public class AMedPreoperativeDiscussionVO {
    /**
     * 记录编号
     */
    private String recId;

    /**
     * 医院ID
     */
    private String hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 年龄
     */
    private String age;

    /**
     * 床号
     */
    private String bedNo;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 性别
     */
    private String sex;

    /**
     * 病历日期
     */
    private String recordDate;

    /**
     * 标题
     */
    private String recTitle;

    /**
     * 讨论时间
     */
    private String discussTime;

    /**
     * 讨论方式
     */
    private String discussType;

    /**
     * 参加人员
     */
    private String participant;

    /**
     * 简要病情
     */
    private String briefNote;

    /**
     * 术前诊断
     */
    private String preoperationDiagnosis;

    /**
     * 手术指征与禁忌
     */
    private String operationIndication;

    /**
     * 可替代的方案
     */
    private String replacePlan;

    /**
     * 拟施手术方式、名称及可能的变更与禁忌症
     */
    private String operationName;

    /**
     * 拟施麻醉方式
     */
    private String anesthesiaType;

    /**
     * 术前准备
     */
    private String preoperationPrepare;

    /**
     * 主要术中、术后风险及防范措施
     */
    private String intraoperativeRisk;

    /**
     * 术中注意事项
     */
    private String intraoperativeNotice;

    /**
     * 术后注意事项
     */
    private String postoperativeNotice;

    /**
     * 记录医生
     */
    private String recDoctor;

    /**
     * 记录时间
     */
    private String recDate;

    /**
     * 审核医生
     */
    private String auditDoctor;

    /**
     * 审核时间
     */
    private String auditDate;

    /**
     * 结构化数据
     */
    private String wholeData;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private String gmtCreate;

    /**
     * 记录修改时间
     */
    private String gmtModified;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 修改人
     */
    private String modifier;
}
